commit:     b1aaea557631c6b671c2de07a572eaa49d955273
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Tue Jan  2 10:51:09 2018 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Jan  2 10:51:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1aaea55

net-misc/gsutil: version bump to 4.28

 net-misc/gsutil/Manifest                           |  1 +
 .../gsutil-4.28-use-friendy-version-checks.patch   | 29 +++++++++++
 net-misc/gsutil/gsutil-4.28.ebuild                 | 59 ++++++++++++++++++++++
 3 files changed, 89 insertions(+)

diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
index f2690b36769..d34f0cae4cd 100644
--- a/net-misc/gsutil/Manifest
+++ b/net-misc/gsutil/Manifest
@@ -1 +1,2 @@
 DIST gsutil_4.27.tar.gz 3107288 BLAKE2B 
4322335779645caf8d1ce717140a92a2173871e3c572c70a1a07cfe3f2c3b054becb74a3b4cdd2cfac912b3f84758b1b40e65223cc9e3582653392bc3fc180d5
 SHA512 
0c05e3f1baa8e11e89fc5af2a42474984fc4d5b3cfbd28f3a0efd7603aeee9062f55899c8325579a10e37a6b70a2ad770daf03589f43d0a8a696595c1cdf7b57
+DIST gsutil_4.28.tar.gz 3410500 BLAKE2B 
ef6d5460f9f04d27c0f172db5880e02cc88f461455ca05c3eb125656f80c29cba9fcf96ceb0c5958f14a7dc1ac85fcae3a2234a2876c7757ece5e756e910da08
 SHA512 
fbba505f58bc46a737ae8c02aa6a112f71f2543e3aaa4d45afd8e81cda0850c7180216827f3510858b90dfcad85c2d4b54a8c74a04c9b4ab580e966fee7bde0a

diff --git a/net-misc/gsutil/files/gsutil-4.28-use-friendy-version-checks.patch 
b/net-misc/gsutil/files/gsutil-4.28-use-friendy-version-checks.patch
new file mode 100644
index 00000000000..93b529a3003
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.28-use-friendy-version-checks.patch
@@ -0,0 +1,29 @@
+--- a/setup.py
++++ b/setup.py
+@@ -36,21 +36,21 @@
+ 
+ requires = [
+     'argcomplete>=1.8.2',
+-    'boto==2.48.0',
++    'boto>=2.48.0',
+     'crcmod>=1.7',
+     'gcs-oauth2-boto-plugin>=1.14',
+-    'google-apitools==0.5.16',
++    'google-apitools>=0.5.16',
+     'httplib2>=0.10.3',
+     # TODO: Sync submodule with tag referenced here once #339 is fixed in 
mock.
+-    'mock==2.0.0',
+-    'oauth2client==2.2.0',
++    'mock>=2.0.0',
++    'oauth2client>=2.2.0',
+     'pyOpenSSL>=0.13',
+     'python-gflags>=2.0',
+     'retry_decorator>=1.0.0',
+     'six>=1.9.0',
+     # Not using 1.02 because of:
+     #   https://code.google.com/p/socksipy-branch/issues/detail?id=3
+-    'SocksiPy-branch==1.01',
++    'SocksiPy-branch>=1.01',
+ ]
+ 
+ dependency_links = [

diff --git a/net-misc/gsutil/gsutil-4.28.ebuild 
b/net-misc/gsutil/gsutil-4.28.ebuild
new file mode 100644
index 00000000000..452ebb5e068
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.28.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil";
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+# The oauth2client-2 dep sucks.
+# https://github.com/GoogleCloudPlatform/gsutil/issues/355
+RDEPEND="${PYTHON_DEPS}
+       >=dev-python/argcomplete-1.8.2[${PYTHON_USEDEP}]
+       >=dev-python/boto-2.48.0[${PYTHON_USEDEP}]
+       >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+       >=dev-python/httplib2-0.10.3[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       >=dev-python/gcs-oauth2-boto-plugin-1.14[${PYTHON_USEDEP}]
+       >=dev-python/google-apitools-0.5.16[${PYTHON_USEDEP}]
+       =dev-python/oauth2client-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
+       >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${PN}
+
+DOCS=( README.md CHANGES.md )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.28-use-friendy-version-checks.patch
+)
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed -i \
+               -e '/SocksiPy-branch/d' \
+               setup.py || die
+
+       # Package installs 'test' package which is forbidden and likely a bug 
in the build system
+       rm -rf "${S}/test" || die
+       sed -i -e '/recursive-include test/d' MANIFEST.in || die
+}
+
+python_test() {
+       export BOTO_CONFIG=${FILESDIR}/dummy.boto
+       ${PYTHON} gslib/__main__.py test -u || die "tests failed"
+}

Reply via email to